<template>
  <div class="home">
    <div class="container">
      <div class="home__header">
        <h1 class="home__title">User Roles Management</h1>
        <div class="home__row">
          <router-link class="home__cta" :to="{ name: 'RoleForm' }"
            >Create new role</router-link
          >
        </div>
      </div>
      <div class="role-list">
        <RoleCard v-for="role in roles" :key="role.id" :role="role" />
      </div>
    </div>
  </div>
</template>

<script>
import RoleCard from "@/components/RoleCard";

export default {
  name: "Home",
  components: {
    RoleCard,
  },
  created() {
    this.$store.dispatch("fetchRoles").catch((error) => {
      this.$router.push({
        name: "ErrorDisplay",
        params: { error: error },
      });
    });
  },
  computed: {
    roles() {
      return this.$store.state.roles;
    },
  },
};
</script>
